Summary: CDEmu daemon
Name: cdemu-daemon
Version: 3.2.4
Release: 1%{?dist}
License: GPLv2
Group: System Environment/Daemons
URL: http://sourceforge.net/projects/cdemu
Source: http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: libao-devel
BuildRequires: libmirage-devel
BuildRequires: intltool

Requires: vhba

%description
CDEmu daemon implements the user-space part of virtual CD/DVD-ROM device
used by CDEmu, a CD/DVD-ROM device emulator for Linux. It receives packet
commands from VHBA kernel module, processes them and passes resulting data
back to the kernel. It also provides D-Bus interface for controlling virtual
devices.

%prep
%setup -q

%build
%cmake .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang cdemu-daemon

%clean
rm -rf $RPM_BUILD_ROOT

%files -f cdemu-daemon.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING README ChangeLog
%doc %_mandir/man8/*
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/dbus-1/services/*

%changelog
* Mon Jan  6 2020 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.4-1
- Updated to 3.2.4

* Tue Nov  5 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.3-2
- Rebuild for Fedora 31

* Tue Aug 28 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.3-1
- Updated to 3.2.3

* Sat Mar  2 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.2-1
- Updated to 3.2.2

* Wed Nov 14 2018 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.1-2
- Added gcc as build dependency

* Sun Jul  8 2018 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.1-1
- Updated to 3.2.1 to fix build on 32-bit x86

* Sat Jul  7 2018 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.0-1
- Updated to 3.2.0

* Sat Jun 10 2017 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.1.0-1
- Updated to 3.1.0

* Sun Oct  9 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.5-1
- Updated to 3.0.5

* Sat Apr 23 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.4-2
- Fixed rpmlint errors and warnings

* Mon Dec 21 2015 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.4-1
- Updated to 3.0.4

* Sat Nov 21 2015 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.3-1
- Updated to 3.0.3

* Sun Sep 28 2014 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.2-1
- Updated to 3.0.2

* Fri Jul 25 2014 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.1-1
- Updated to 3.0.1

* Sun Jun 29 2014 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.0-1
- Updated to 3.0.0

* Thu Sep 19 2013 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.1.1-1
- Updated to 2.1.1

* Fri Jun  7 2013 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.1.0-1
- Updated to 2.1.0

* Mon Dec 24 2012 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.0.0-1
- RPM release for new version
